Subject: Re: [PATCH] [net] add rx_otherhost_dropped sysfs entry

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Feb 2023 10:40:54 -0800

On Mon, 27 Feb 2023 13:29:54 -0500 nick black wrote:
> In that case, I think a comment here is warranted explaining why
> this stat, out of 24 total, isn't important enough to reproduce
> in sysfs. I'm not sure what this comment would be:
> rx_otherhost_dropped certainly seems as useful as, say
> rx_compressed (only valid on e.g. CSLIP and PPP).

How about a banner before rx_otherhost_dropped? Maybe:

	/* end of old stats -- new stats via rtnetlink only */

> If this stat is left out of the sysfs interface, I'm likely to
> just grab the rtnl_link_stats64 directly via netlink, and forgo
> the sysfs interface entirely. If, in a modern switched world,
> I'm receiving many packets destined for other hosts, that's at
> least as interesting to me as several other classes of RX error.

Right, I wish we could just remove the old entries since no driver 
from the last decade will fill those in, anyway.